### Function

# Vips value_set_save_string

#### Declaration [src]

    void
    vips_value_set_save_string (
      GValue* value,
      const char* str
    )

#### Description [src]

Copies the C string into `value`.

`str` should be a valid utf-8 string.

#### Parameters

`value`

  Type: `GValue`

  GValue to set.

  The argument will be set by the function.
  The returned data is owned by the function.

`str`

  Type: `const char*`

  C string to copy into the GValue.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.